Subject: bug#37400: Patch for bug in cl-reduce: function called with no arguments when list is empty

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 06:33:01 +0200

Noam Postavsky <[email-masked]> writes:

> Actually, I think it's a docstring bug.  The Common Lisp Hyperspec says:
>
>     If the subsequence is empty and no initial-value is given, then the
>     function is called with zero arguments, and reduce returns whatever
>     function does. This is the only case where the function is called
>     with other than two arguments.

I've now added a variation of this to the doc string, and I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no